apiVersion: v1
kind: Service
metadata:
  name: notification-service
  labels:
    app: notification-service
spec:
  selector:
    app: notification-service
  ports:
    - protocol: TCP
      port: 8083
      targetPort: 8083
  type: ClusterIP # Use ClusterIP for internal communication within the cluster
